| v_sditx Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_SdiTx Struct Reference

The XV_SdiTx driver instance data. More...

## Data Fields
XV_SdiTx_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XV_SdiTx_Callback | GtRstDoneCallback
| Callback for stream down callback. More...
void * | GtRstDoneRef
| To be passed to the stream down callback. More...
XV_SdiTx_Callback | OverFlowCallback
| Callback for over flow callback. More...
void * | OverFlowRef
| To be passed to the over flow callback. More...
XV_SdiTx_Callback | UnderFlowCallback
| Callback for under flow callback. More...
void * | UnderFlowRef
| To be passed to the under flow callback. More...
XV_SdiTx_Callback | CeAlignErrCallback
| Callback for CE align error callback. More...
void * | CeAlignErrRef
| To be passed to the CE align error callback. More...
XV_SdiTx_Callback | Axi4sVidLockCallback
| Callback for Axi4s video lock callback. More...
void * | Axi4sVidLockRef
| To be passed to the Axi4s Video lock callback. More...
XV_SdiTx_Stream | Stream [XV_SDITX_MAX_DATASTREAM]
| SDI TX stream information. More...
XSdiVid_Transport | Transport
| SDI TX Transport information. More...
XV_SdiTx_State | State
| State. More...
XVidC_ColorDepth | bitdepth
| bit depth More...

## Detailed Description

The XV_SdiTx driver instance data.

An instance must be allocated for each SDI TX core in use.

## Field Documentation

XV_SdiTx_Callback XV_SdiTx::Axi4sVidLockCallback

Callback for Axi4s video lock callback.

Referenced by XV_SdiTx_CfgInitialize(), and XV_SdiTx_SetCallback().

void* XV_SdiTx::Axi4sVidLockRef

To be passed to the Axi4s Video lock callback.

Referenced by XV_SdiTx_SetCallback().

XVidC_ColorDepth XV_SdiTx::bitdepth

bit depth

Referenced by XV_SdiTx_GetPayload(), XV_SdiTx_Set_Bpc(), and XV_SdiTx_StreamStart().

XV_SdiTx_Callback XV_SdiTx::CeAlignErrCallback

Callback for CE align error callback.

Referenced by XV_SdiTx_CfgInitialize(), and XV_SdiTx_SetCallback().

void* XV_SdiTx::CeAlignErrRef

To be passed to the CE align error callback.

Referenced by XV_SdiTx_SetCallback().

XV_SdiTx_Config XV_SdiTx::Config

Hardware Configuration.

Referenced by XV_SdiTx_Axi4sBridgeVtcDisable(), XV_SdiTx_Axi4sBridgeVtcEnable(), XV_SdiTx_CfgInitialize(), XV_SdiTx_ClearDetectedError(), XV_SdiTx_ClearYCbCr444_RGB_10bit(), XV_SdiTx_DebugInfo(), XV_SdiTx_GetIntrEnable(), XV_SdiTx_GetIntrStatus(), XV_SdiTx_InterruptClear(), XV_SdiTx_IntrDisable(), XV_SdiTx_IntrEnable(), XV_SdiTx_IntrHandler(), XV_SdiTx_ReportDetectedError(), XV_SdiTx_SelfTest(), XV_SdiTx_SetColorFormat(), XV_SdiTx_SetCoreSettings(), XV_SdiTx_SetPayloadLineNum(), XV_SdiTx_SetVidBridgeMode(), XV_SdiTx_SetYCbCr444_RGB_10bit(), XV_SdiTx_ST352CStreamEnable(), XV_SdiTx_ST352CSwitch3GA(), XV_SdiTx_StartSdi(), XV_SdiTx_StopSdi(), XV_SdiTx_StreamStart(), XV_SdiTx_VidBridgeDisable(), and XV_SdiTx_VidBridgeEnable().

XV_SdiTx_Callback XV_SdiTx::GtRstDoneCallback

Callback for stream down callback.

Referenced by XV_SdiTx_CfgInitialize(), and XV_SdiTx_SetCallback().

void* XV_SdiTx::GtRstDoneRef

To be passed to the stream down callback.

Referenced by XV_SdiTx_SetCallback().

u32 XV_SdiTx::IsReady

Core and the driver instance are initialized.

Referenced by XV_SdiTx_CfgInitialize(), XV_SdiTx_IntrHandler(), and XV_SdiTx_SelfTest().

XV_SdiTx_Callback XV_SdiTx::OverFlowCallback

Callback for over flow callback.

Referenced by XV_SdiTx_CfgInitialize(), and XV_SdiTx_SetCallback().

void* XV_SdiTx::OverFlowRef

To be passed to the over flow callback.

Referenced by XV_SdiTx_SetCallback().

XV_SdiTx_State XV_SdiTx::State

State.

Referenced by XV_SdiTx_CfgInitialize(), and XV_SdiTx_StreamStart().

XV_SdiTx_Stream XV_SdiTx::Stream[XV_SDITX_MAX_DATASTREAM]

SDI TX stream information.

Referenced by XV_SdiTx_DebugInfo(), XV_SdiTx_GetPayload(), XV_SdiTx_SetStream(), XV_SdiTx_StartSdi(), and XV_SdiTx_StreamStart().

XSdiVid_Transport XV_SdiTx::Transport

SDI TX Transport information.

Referenced by XV_SdiTx_DebugInfo(), XV_SdiTx_GetPayload(), XV_SdiTx_GetPayloadEotf(), XV_SdiTx_SetColorFormat(), XV_SdiTx_SetVidBridgeMode(), and XV_SdiTx_StreamStart().

XV_SdiTx_Callback XV_SdiTx::UnderFlowCallback

Callback for under flow callback.

Referenced by XV_SdiTx_CfgInitialize(), and XV_SdiTx_SetCallback().

void* XV_SdiTx::UnderFlowRef

To be passed to the under flow callback.

Referenced by XV_SdiTx_SetCallback().